#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_LOOP0_1" type="LOOP0" x="-151.000000" y="63.000000">
      <Parameter name="DOWHILE" type="bool" value="" description=""/>
    </Node>
    <Node name="node_RosNodeGenerator_1" type="RosNodeGenerator" x="-114.000000" y="5.000000">
      <Parameter name="NODE_NAME" type="string" value="HARK_MASTER_NODE_SUBSCRIBER" description="Node name for ROS"/>
    </Node>
    <NetOutput name="IMAGEOUT" node="node_LOOP0_1" terminal="IMAGEOUT" object_type="any" description="No description available"/>
    <NetOutput name="VALUE" node="node_RosNodeGenerator_1" terminal="VALUE" object_type="int" description="int parameter"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_CvfdhShowImage_1" type="CvfdhShowImage" x="376.000000" y="-49.000000">
      <Parameter name="WINDOW_TITLE" type="string" value="BaseImage2" description="Window title."/>
      <Parameter name="FLAGS" type="int" value="1" description="If it is set to 1, window size is automatically adjusted to fit the displayed image, while user can not change the window size manually."/>
    </Node>
    <Node name="node_ImageStreamFromRos_1" type="ImageStreamFromRos" x="-268.000000" y="-34.000000">
      <Parameter name="STREAM_SELECTION" type="string" value="Image" description="Selector of stream you want to realize. All other subscription will be disabled."/>
      <Parameter name="TOPIC_NAME_IMAGE" type="string" value="Image" description="Published topic name for ROS"/>
      <Parameter name="TOPIC_NAME_IMAGEMAP" type="string" value="ImageMap" description="Published topic name for ROS"/>
      <Parameter name="ROS_LOOP_RATE" type="float" value="1000000" description="This allows you to specify a frequency that you would like to loop at [Hz]. Keep this value large. (If ROS interval is shorter than HARK interval, ROS interval is overwritten.)"/>
      <Parameter name="MSG_BUFFER_NUM" type="int" value="100" description="Buffer size for a ROS subscribed message."/>
      <Parameter name="DATA_BUFFER_NUM" type="int" value="100" description="Buffer save size for a HARK output. Too small value makes packet loss. Too large value takes large memory."/>
      <Parameter name="KILL_TIME_LEN" type="int" value="900000" description="Kill time length for this network [usec] (must be less than 10[sec]). Set KILL_NETWORK enable."/>
      <Parameter name="KILL_NETWORK" type="bool" value="true" description="Kill whole hark network when this node does not take any message from ROS."/>
      <Parameter name="ENABLE_DEBUG" type="bool" value="false" description="print debug message of this module in case of true."/>
    </Node>
    <Node name="node_CvfdhBinarize_1" type="CvfdhBinarize" x="211.000000" y="-49.000000">
      <Parameter name="PARAM" type="int" value="150" description="Threshold setting for binalization. This setting will be cancelled when the input THRESH exists."/>
      <Parameter name="BW_SELECT" type="string" value="WHITE" description="Black-white selection if the pixel value is more than threshold."/>
    </Node>
    <Node name="node_CvfdhColorSpace_1" type="CvfdhColorSpace" x="4.000000" y="-56.000000">
      <Parameter name="INPUT_FORMAT" type="string" value="RGB" description="Color space of input stream"/>
      <Parameter name="OUTPUT_FORMAT" type="string" value="GRAY" description="Color space of output stream"/>
    </Node>
    <Link from="node_ImageStreamFromRos_1" output="IMAGEOUT" to="node_CvfdhColorSpace_1" input="IMAGEIN"/>
    <Link from="node_CvfdhColorSpace_1" output="IMAGEOUT" to="node_CvfdhBinarize_1" input="IMAGEIN"/>
    <Link from="node_CvfdhBinarize_1" output="IMAGEOUT" to="node_CvfdhShowImage_1" input="IMAGEIN"/>
    <NetOutput name="IMAGEOUT" node="node_CvfdhShowImage_1" terminal="IMAGEOUT" object_type="any" description="Output image. The type should be CvfdImage or Map&lt;int, ObjectRef&gt;."/>
    <NetCondition name="CONDITION" node="node_ImageStreamFromRos_1" terminal="NOT_EOF"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
</Document>
